## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanTransformerOutputStream Class Reference

Inheritance diagram for XalanTransformerOutputStream:

[legend]
Collaboration diagram for XalanTransformerOutputStream:

[legend]
List of all members.

## Public Member Functions

- XalanTransformerOutputStream (MemoryManagerType &theManager, void *theOutputHandle, XalanOutputHandlerType theOutputHandler, XalanFlushHandlerType theFlushHandler=0)
    Construct a XalanTransformerOutputStream instance for output to a user defined (callback) function.
- virtual ~XalanTransformerOutputStream ()

## Protected Member Functions

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer.
- virtual void doFlush ()
    Flush the stream.

## Constructor & Destructor Documentation

XalanTransformerOutputStream::XalanTransformerOutputStream | ( | MemoryManagerType & | theManager,
|  | void * | theOutputHandle,
|  | XalanOutputHandlerType | theOutputHandler,
|  | XalanFlushHandlerType | theFlushHandler = 0
| ) |

  | Construct a XalanTransformerOutputStream instance for output to a user defined (callback) function. Parameters:
  theOutputHandle | void pointer passed through to callback.
  theOutputHandler | a user defined (callback) function.
  theFlushHandler | a user defined (callback) function.

virtual XalanTransformerOutputStream::~XalanTransformerOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XalanTransformerOutputStream::doFlush | ( |  | ) | `[protected, virtual]`

| Flush the stream. Implements XalanOutputStream.

virtual void XalanTransformerOutputStream::writeData | ( | const char * | theBuffer,
|  | size_type | theBufferLength
| ) | `[protected, virtual]`

  | Write the data in the buffer. Parameters:
  theBuffer | The data to write
  theBufferLength | The length of theBuffer.
Implements XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanTransformerOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.